=== debian/control ===
Source: glfw
Section: devel
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Mahyuddin Susanto <udienz@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libxrandr-dev
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/pkg-games/glfw.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-games/glfw.git
Homepage: http://www.glfw.org/

Package: libglfw2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Shared libraries portable framework for OpenGL application development
 GLFW is a free, Open Source, framework for OpenGL application
 development. In short, it is a single library providing a powerful, portable
 API for otherwise operating system specific tasks such as opening an OpenGL
 window, and reading keyboard, time, mouse and joystick input.
 .
 It also provides functions accessing OpenGL extensions, creating and
 synchronizing threads and reading textures from files.
 .
 This package provides the shared libraries.

Package: libglfw-dev
Section: libdevel
Architecture: any
Depends: libglfw2 (= ${binary:Version}),
         libglu1-mesa-dev | libglu-dev,
         mesa-common-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: header files and static libraries portable framework for OpenGL application development
 GLFW is a free, Open Source, framework for OpenGL application
 development. In short, it is a single library providing a powerful, portable
 API for otherwise operating system specific tasks such as opening an OpenGL
 window, and reading keyboard, time, mouse and joystick input.
 .
 It also provides functions accessing OpenGL extensions, creating and
 synchronizing threads and reading textures from files.
 .
 This package provides the header files and static libraries.
