=== debian/watch ===
version=3

http://sf.net/glfw/glfw-([\d.]+)\.tar.gz
