=== debian/changelog ===
glfw (2.7.9-1) unstable; urgency=medium

  * New upstream version.
    - This is the last version of GLFW 2.
  * Enable multiarch (Closes: #732436, LP: #941319).

  * debian/control:
    - Add myself to the list of uploaders.
    - Bump debhelper compat level to 9.
    - Bump standards version - no changes.
    - Use cgit Vcs-Browser URL.
    - Update package short descriptions (copied from glfw3).
    - Add dependency on dh-exec needed by the multiarch build procedure.
  * debian/copyright:
    - Use correct DEP5 'Format' URL.
  * debian/rules:
    - Handle build flags correctly to fix hardening warnings.
    - Use the correct upstream makefile targets to simplify the build
      procedure.
    - Remove libglfw.so.2.6 (has the wrong filename and is not required).
    - Move the readme.html file to libglfw-dev and install it via
      libglfw-dev.docs instead of the rules file.
  * debian/*.symbols:
    - Add a symbols file for libglfw.so.2
  * debian/watch:
    - Download upstream tarballs from the github repo.

 -- James Cowgill <james410@cowgill.org.uk>  Sat, 11 Jul 2015 00:18:47 +0100
