=== debian/control ===
--- 
+++ 
@@ -2,21 +2,23 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Mahyuddin Susanto <udienz@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~),
+Uploaders: Mahyuddin Susanto <udienz@ubuntu.com>,
+           James Cowgill <james410@cowgill.org.uk>
+Build-Depends: debhelper (>= 9), dh-exec,
                libgl1-mesa-dev | libgl-dev,
                libglu1-mesa-dev | libglu-dev,
                libxrandr-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-games/glfw.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-games/glfw.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/glfw.git
 Homepage: http://www.glfw.org/
 
 Package: libglfw2
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Shared libraries portable framework for OpenGL application development
+Description: portable library for OpenGL, window and input (libraries)
  GLFW is a free, Open Source, framework for OpenGL application
  development. In short, it is a single library providing a powerful, portable
  API for otherwise operating system specific tasks such as opening an OpenGL
@@ -30,12 +32,13 @@
 Package: libglfw-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libglfw2 (= ${binary:Version}),
          libglu1-mesa-dev | libglu-dev,
          mesa-common-dev,
          ${misc:Depends},
          ${shlibs:Depends}
-Description: header files and static libraries portable framework for OpenGL application development
+Description: portable library for OpenGL, window and input (development files)
  GLFW is a free, Open Source, framework for OpenGL application
  development. In short, it is a single library providing a powerful, portable
  API for otherwise operating system specific tasks such as opening an OpenGL
