=== debian/watch ===
version=3

https://github.com/glfw/glfw-legacy/tags .*/v?(\d\S*)\.tar\.gz
